#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: snap-core
version: 0.9.7.2
id: snap-core-0.9.7.2-46e8c72c53ad2e17111af49e6116d73a
key: snapc_C4TzuslEx3Y2Ue0J6gnWcS
license: BSD3
maintainer: snap@snapframework.com
homepage: http://snapframework.com/
synopsis: Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.
    .
    This library contains the core definitions and types for the Snap framework,
    including:
    .
    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)
    .
    2. Type aliases and helper functions for Iteratee I/O
    .
    3. A monad for programming web handlers called \"Snap\", which allows:
    .
    * Stateful access to the HTTP request and response objects
    .
    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together
    .
    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing
    .
    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core",
    some iteratee utilities are in "Snap.Iteratee".
category: Web, Snap
author: James Sanders, Shu-yu Guo, Gregory Collins, Doug Beardsley
exposed: True
exposed-modules:
    Snap.Core Snap.Types Snap.Iteratee Snap.Internal.Debug
    Snap.Internal.Exceptions Snap.Internal.Http.Types
    Snap.Internal.Iteratee.Debug Snap.Internal.Parsing Snap.Test
    Snap.Types.Headers Snap.Util.FileServe Snap.Util.FileUploads
    Snap.Util.GZip Snap.Util.Proxy Snap.Util.Readable
hidden-modules: Snap.Internal.Instances
                Snap.Internal.Iteratee.BoyerMooreHorspool
                Snap.Internal.Parsing.FastSet Snap.Internal.Routing
                Snap.Internal.Types Snap.Internal.Test.RequestBuilder
                Snap.Internal.Test.Assertions
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/snap-core-0.9.7.2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/snap-core-0.9.7.2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/snap-core-0.9.7.2
hs-libraries: HSsnap-core-0.9.7.2-C4TzuslEx3Y2Ue0J6gnWcS
include-dirs: /usr/local/include
depends:
    HUnit-1.2.5.2-b328c0be4a840160a5bae7f7ff8d2f8f
    MonadCatchIO-transformers-0.3.1.3-1ecdb7a7e01f48906f3a3091de5e1aab
    attoparsec-0.12.1.6-afc89750d5b2dfe5c23c97630edee83d
    attoparsec-enumerator-0.3.4-ad68fc9dbdad0aded9910f5d53cb6f0e
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    blaze-builder-0.4.0.1-4d35cab24f4ca6367ae34ab88a0bfe29
    blaze-builder-enumerator-0.2.1.0-256a12a13487515ac1bad0733d3d40a9
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    case-insensitive-1.2.0.4-19d14e9206f0c06c6d26299b5df858f2
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    deepseq-1.4.1.1-264f30222df8f26ad705894f660a17b6
    directory-1.2.2.0-b6ee7e969ff00a970631d14a5a84bc27
    enumerator-0.4.20-479f823055d9335e97ab908c1843e355
    filepath-1.4.0.0-84bda675ba63f9b1a4b3fb9597f70f12
    hashable-1.2.3.3-c9c80f60fec1c2bfec8f21d0ecd5aacc
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    random-1.1-859a5366f9cc240228128d890d4923be
    regex-posix-0.95.2-d6c954387d664310a3b7f08120d4b992
    text-1.2.1.3-6b3e1cbb2a57ec42cb19d113292b56f4
    time-1.5.0.1-df3afb8c4b8f408db3802d1302f1d2a2
    time-locale-compat-0.1.1.0-f6d5b1ace9ec3391f5a1297987436fee
    unix-compat-0.4.1.4-fc51fefce6a546e4a2a9c585a7c696b7
    unordered-containers-0.2.5.1-335583f000f0fa5722ec79c17794446a
    vector-0.10.12.3-27897745aebd646b98c12ed0d61390a9
    zlib-enum-0.2.3.1-b81e77fe42bb3a2a60a0c240fc3f0622
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/snap-core-0.9.7.2/html/snap-core.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/snap-core-0.9.7.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
